{ lib, ... }:
let
  mirrors = {
    "https://android.googlesource.com" = "/var/lib/src/aosp/mirror";
    # "https://github.com/LineageOS" = "/var/lib/src/lineageos/LineageOS";
  };
in
{
  nix.envVars.ROBOTNIX_GIT_MIRRORS = lib.concatStringsSep "|" (lib.mapAttrsToList (local: remote: "${local}=${remote}") mirrors);

  # Also add local mirrors to nix sandbox exceptions
  nix.sandboxPaths = lib.attrValues mirrors;
}
